Subject: Re: [PATCH 0/3] Documentation: powerpc: documentation fixes for Documentation/powerpc/elf_hwcaps.rst

From: Michael Ellerman <[email-masked]>
Date: Thu, 28 Jul 2022 20:02:22 +1000

Bagas Sanjaya <[email-masked]> writes:
> After merging powerpc tree for linux-next integration testing, Stephen
> Rothwell reported htmldocs warnings at [1]. Fix these with self-explanatory
> fixes in the shortlog below.
>
> [1]: https://lore.kernel.org/linuxppc-dev/[email-masked]/
>
> Bagas Sanjaya (3):
>   Documentation: powerpc: fix indentation warnings
>   Documentation: use different label names for each arch's
>     elf_hwcaps.rst
>   Documentation: powerpc: add elf_hwcaps to table of contents
>
>  Documentation/arm64/elf_hwcaps.rst              |  2 +-
>  Documentation/powerpc/elf_hwcaps.rst            | 17 +++++++----------
>  Documentation/powerpc/index.rst                 |  1 +
>  .../translations/zh_CN/arm64/elf_hwcaps.rst     |  2 +-
>  .../translations/zh_TW/arm64/elf_hwcaps.rst     |  2 +-
>  5 files changed, 11 insertions(+), 13 deletions(-)

Hi Bagas,

I'd actually already fixed these locally, but I'll take your versions
because you went to all the trouble of sending them :)

I've modified patch 2 to only change the powerpc label name, I don't
want to be touching the arm64 documentation this late in the development
cycle.

I've also installed every python package on earth and got my development
machine setup to build the docs again, so hopefully I'll catch errors
like this in future.

cheers